var wpProtectAddon = getParam('settings.wpProtectAddon', true);
var wpbfp = wpProtectAddon ? "THROTTLE" : "OFF";

var phpVersion = getParam('settings.phpVersion', 'php8.3');
var wafAddon = getParam('settings.wafAddon', true);

var resp = {
  result: 0,
  ssl: !!jelastic.billing.account.GetQuotas('environment.jelasticssl.enabled').array[0].value,
  nodes: []
};

resp.nodes.push({
  nodeType: "llsmp",
  engine: phpVersion,
  count: 1,
  cloudlets: 16,
  diskLimit: 10,
  nodeGroup: "cp",
  skipNodeEmails: true,
  displayName: "AppServer",
  env: {
    SERVER_WEBROOT: "/var/www/webroot/ROOT",
    REDIS_ENABLED: "true",
    WAF: wafAddon,
    WP_PROTECT: wpbfp,
    WP_PROTECT_LIMIT: 100
  }
});

return resp;
